/* IndexedFaceSet.C: IndexedFaceSet nodes (public source) */

#include "IndexedFaceSet.H"
#include "renderer.H"

namespace xrml {

void IndexedFaceSet::set_colorIndex(const MFInt32&)
{
  Warning(NULL, "IndexedFaceSet::set_colorIndex(): not yet implemented");
}

void IndexedFaceSet::set_coordIndex(const MFInt32&)
{
  Warning(NULL, "IndexedFaceSet::set_coordIndex(): not yet implemented");
}

void IndexedFaceSet::set_normalIndex(const MFInt32&)
{
  Warning(NULL, "IndexedFaceSet::set_normalIndex(): not yet implemented");
}

void IndexedFaceSet::set_texCoordIndex(const MFInt32&)
{
  Warning(NULL, "IndexedFaceSet::set_texCoordIndex(): not yet implemented");
}

void IndexedFaceSet::render(void)
{
  world->renderer->indexedFaceSet(this);
}

void IndexedFaceSet::discretize(void)
{
  if (color) {col = &color->color;} else col = 0;
  if (coord) {co = &coord->point;} else co = 0;
  if (normal) {norm = &normal->vector;} else norm = 0;
  if (texCoord) {texco = &texCoord->point;} else texco = 0;
}

}  // namespace xrml
